# MSP::CCS::CoordinateSystemParameters Class Reference

`#include <CoordinateSystemParameters.h>`

Inheritance diagram for MSP::CCS::CoordinateSystemParameters:

List of all members.

## Public Member Functions

| CoordinateSystemParameters ()
| CoordinateSystemParameters (MSP::CCS::CoordinateType::Enum __coordinateType)
| CoordinateSystemParameters (const CoordinateSystemParameters &csp)
virtual | ~CoordinateSystemParameters ()
CoordinateSystemParameters & | operator= (const CoordinateSystemParameters &csp)
void | setCoordinateType (MSP::CCS::CoordinateType::Enum __coordinateType)
CoordinateType::Enum | coordinateType () const

## Protected Attributes

CoordinateType::Enum | _coordinateType

## Detailed Description

Definition at line 15 of file CoordinateSystemParameters.h.

## Constructor & Destructor Documentation

CoordinateSystemParameters::CoordinateSystemParameters | ( |  | ) |

Definition at line 10 of file CoordinateSystemParameters.cpp.

CoordinateSystemParameters::CoordinateSystemParameters | ( | MSP::CCS::CoordinateType::Enum | __coordinateType | ) |

Definition at line 15 of file CoordinateSystemParameters.cpp.

CoordinateSystemParameters::CoordinateSystemParameters | ( | const CoordinateSystemParameters & | csp | ) |

Definition at line 21 of file CoordinateSystemParameters.cpp.

CoordinateSystemParameters::~CoordinateSystemParameters | ( |  | ) | `[virtual]`

Definition at line 27 of file CoordinateSystemParameters.cpp.

## Member Function Documentation

CoordinateType::Enum CoordinateSystemParameters::coordinateType | ( |  | ) | const

Definition at line 49 of file CoordinateSystemParameters.cpp.

CoordinateSystemParameters & CoordinateSystemParameters::operator= | ( | const CoordinateSystemParameters & | csp | ) |

Reimplemented in MSP::CCS::EquidistantCylindricalParameters, MSP::CCS::GeodeticParameters, MSP::CCS::LocalCartesianParameters, MSP::CCS::MapProjection3Parameters, MSP::CCS::MapProjection4Parameters, MSP::CCS::MapProjection5Parameters, MSP::CCS::MapProjection6Parameters, MSP::CCS::MercatorScaleFactorParameters, MSP::CCS::MercatorStandardParallelParameters, MSP::CCS::NeysParameters, MSP::CCS::ObliqueMercatorParameters, MSP::CCS::PolarStereographicScaleFactorParameters, MSP::CCS::PolarStereographicStandardParallelParameters, and MSP::CCS::UTMParameters.

Definition at line 32 of file CoordinateSystemParameters.cpp.

void CoordinateSystemParameters::setCoordinateType | ( | MSP::CCS::CoordinateType::Enum | __coordinateType | ) |

Definition at line 43 of file CoordinateSystemParameters.cpp.

## Member Data Documentation

CoordinateType::Enum MSP::CCS::CoordinateSystemParameters::_coordinateType `[protected]`

Definition at line 33 of file CoordinateSystemParameters.h.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/CoordinateSystemParameters.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/CoordinateSystemParameters.cpp